import { t as definePluginEntry } from "../../plugin-entry-BiutI5rd.js";
import { t as buildFalImageGenerationProvider } from "../../image-generation-provider-ihrg4s5V.js";
import { t as buildFalMusicGenerationProvider } from "../../music-generation-provider-Dq0Q1y8t.js";
import { t as createFalProvider } from "../../provider-registration-DeWQ36LH.js";
import { t as buildFalVideoGenerationProvider } from "../../video-generation-provider-XNCSx89S.js";
var fal_default = definePluginEntry({
	id: "fal",
	name: "fal Provider",
	description: "Bundled fal image, video, and music generation provider",
	register(api) {
		api.registerProvider(createFalProvider());
		api.registerImageGenerationProvider(buildFalImageGenerationProvider());
		api.registerMusicGenerationProvider(buildFalMusicGenerationProvider());
		api.registerVideoGenerationProvider(buildFalVideoGenerationProvider());
	}
});
//#endregion
export { fal_default as default };
